# Connection settings

## Get Connection settings

> Returns the Connection settings containing information about API quota, Backup & Archive Connection, and scheduler activity

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"FindConnectionSettingsResponseDto":{"type":"object","properties":{"apiQuota":{"$ref":"#/components/schemas/ApiQuotaDto"},"info":{"$ref":"#/components/schemas/ConnectionInfoDto"},"scheduler":{"$ref":"#/components/schemas/SchedulerRunCapabilityDto"},"initialBinaryRecordsLimit":{"type":"number"}},"required":["apiQuota","info","scheduler","initialBinaryRecordsLimit"]},"ApiQuotaDto":{"type":"object","properties":{"rest":{"type":"number","description":"REST API quota in percentage (1-100)"},"bulk":{"type":"number","description":"Bulk API quota in percentage (1-100)"}},"required":["rest","bulk"]},"ConnectionInfoDto":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string","description":"Connection name"},"userName":{"type":"string","description":"Username for authenticating the connection."},"salesforceOrgId":{"type":"string","description":"Salesforce organization ID"},"salesforceOrgType":{"type":"string","enum":["PRODUCTION","SANDBOX"],"description":"Salesforce organization type: SANDBOX or PRODUCTION"}},"required":["id","name","userName","salesforceOrgId","salesforceOrgType"]},"SchedulerRunCapabilityDto":{"type":"object","properties":{"isBackupsDisabled":{"type":"boolean"},"isArchivesDisabled":{"type":"boolean"}},"required":["isBackupsDisabled","isArchivesDisabled"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}/settings":{"get":{"operationId":"ConnectionSettingsController_get","summary":"Get Connection settings","description":"Returns the Connection settings containing information about API quota, Backup & Archive Connection, and scheduler activity","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns the Connection settings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FindConnectionSettingsResponseDto"}}}},"400":{"description":"Incorrect request data is provided. For example, connectionId isn't a valid number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection settings not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Connection settings"]}}}}
```

## Update connection scheduler availability settings

> Updates scheduler availability for backup and archive operations for the specified connection, including optional initial binary records limit configuration.

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"UpdateConnectionBackupSettingBodyDto":{"type":"object","properties":{"isBackupsDisabled":{"type":"boolean"},"isArchivesDisabled":{"type":"boolean"},"initialBinaryRecordsLimit":{"type":"number"}},"required":["isBackupsDisabled","isArchivesDisabled","initialBinaryRecordsLimit"]},"UpdateApiQuotaResponseDto":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]}}},"paths":{"/api/v1/connections/{connectionId}/settings":{"put":{"operationId":"ConnectionSettingsController_updateConnectionBackupSetting","summary":"Update connection scheduler availability settings","description":"Updates scheduler availability for backup and archive operations for the specified connection, including optional initial binary records limit configuration.","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateConnectionBackupSettingBodyDto"}}}},"responses":{"200":{"description":"The connection's scheduler run capability was updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiQuotaResponseDto"}}}}},"tags":["Connection settings"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flosum.com/api/api-de/sicherungs-and-archiv-api/connection-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
